#!/bin/sh

# build my info/dep file(s) and copy into /tmp before running script
# I prefer wget to use no clobber as I retest the script

# build depends 
tce-load -i compiletc submitqc4 wget
tce-load -i aspell aspell-lib ncursesw-dev

# download and unpack stuff
# http://aspell.net/ is main site but used mirror for speed
cd /tmp
wget -nc http://mirror.optusnet.com.au/gnu/aspell/dict/es/aspell6-es-1.11-2.tar.bz2
tar jxvf aspell6-es-1.11-2.tar.bz2

# tcz compile flags not needed its just a pack

cd aspell6-es-1.11-2
./configure --vars DESTDIR=/usr/local 
make -j3
make DESTDIR=/tmp/aspell-es install

cd /tmp
mksquashfs aspell-es aspell-es.tcz
md5sum aspell-es.tcz > aspell-es.tcz.md5.txt
cd aspell-es
find usr -not -type d > aspell-es.tcz.list
mv -f aspell-es.tcz.list /tmp

# complete

cd /tmp
submitqc4